Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class UnexpectedMethodError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              com.rabbitmq.client.UnexpectedMethodError

All Implemented Interfaces:
  java.io.Serializable

    public class UnexpectedMethodError

extends java.lang.Error

Indicates that a `Method` object was supplied that was not expected. For instance, `Channel.basicGet(java.lang.String, boolean)` throws this if it receives anything other than `AMQP.Basic.GetOk` or `AMQP.Basic.GetEmpty`, and the `DefaultMethodVisitor` throws this as the action within each visitor case.

See Also:
  Serialized Form

Constructor Summary
`UnexpectedMethodError(Method method)` Construct an UnexpecteMethodError with the given method parameter

Method Summary
`Method` | `getMethod()` Return the wrapped method.
`java.lang.String` | `toString()` Return a string representation of this error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnexpectedMethodError

    public UnexpectedMethodError(Method method)

  Construct an UnexpecteMethodError with the given method parameter

  Parameters:
    `method` - the unexpected method

Method Detail

### toString

    public java.lang.String toString()

  Return a string representation of this error.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    a string describing the error

### getMethod

    public Method getMethod()

  Return the wrapped method.

  Returns:
    the method whose appearance was "unexpected" and was deemed an error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD